python-gupnp-igd_0.2.4-1_amd64.deb


Advertisement

Description

python-gupnp-igd - Python binding for the UPnP IGD port mapping library

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-gupnp-igd
Package version: 0.2.4
Package release: 1
Package architecture: amd64
Package type: deb
Installed size: 71 B
Download size: 5.87 KB
Official Mirror: archive.ubuntu.com
A GObject-based API for controling UPnP Internet Gateway Devices port mapping. This package contains the Python bindings.

Alternatives

Provides

  • python2.7-gupnp-igd

    Download

    Source package: gupnp-igd

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-gupnp-igd deb package:
      # sudo apt-get install python-gupnp-igd

    Files

    • /usr/lib/python2.7/dist-packages/gupnp/__init__.py
    • /usr/lib/python2.7/dist-packages/gupnp/igd.so
    • /usr/share/doc/python-gupnp-igd/AUTHORS
    • /usr/share/doc/python-gupnp-igd/NEWS.gz
    • /usr/share/doc/python-gupnp-igd/README
    • /usr/share/doc/python-gupnp-igd/TODO
    • /usr/share/doc/python-gupnp-igd/changelog.Debian.gz
    • /usr/share/doc/python-gupnp-igd/copyright

    Changelog

    2014-10-18 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.2.4-1) unstable; urgency=medium * New upstream release - debian/libgupnp-igd-1.0-4.symbols: Add new exported symbol * debian/control: Bump Standards-Version to 3.9.6 (no further changes)

    2014-02-20 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.2.3-1) unstable; urgency=medium * New upstream release - Bump {build-}depdendency - Drop debian/patches/01_link_gssdp.patch: Applied upstream * debian/control: Bump Standards-Version to 3.9.5 (no further changes) * debian/rules: Explicitly enable the python bidings

    2013-06-22 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.2.2-1) unstable; urgency=low [ Andreas Henriksson ] * Update debian/watch for new location on ftp.gnome.org * Imported Upstream version 0.2.2 [ Laurent Bigonville ] * debian/control: - Use canonical URL for VCS fields - Bump Standards-Version to 3.9.4 (no further changes) * debian/patches/01_link_gssdp.patch: Explicitly link against libgssdp-1.0

    2011-12-16 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.2.1-2) unstable; urgency=low * Upload to unstable

    2011-12-07 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.2.1-1) experimental; urgency=low [ Andreas Henriksson ] * Imported Upstream version 0.2.1 - works with gupnp 0.18 * Bump gupnp build-dependency to >= 0.18 * Rename package and update dependencies for new soname * debian/rules: enable gtk-doc in configure flags [ Laurent Bigonville ] * debian/libgupnp-igd-1.0-dev.install: Do not use brace expansion * debian/rules: Always bump shlibs file as we are using .symbols file anyway * debian/control: Move gir1.2-gupnpigd-1.0 to Section introspection * Follow multi-arch policy

    2011-05-10 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.1.11-1) unstable; urgency=low * New upstream release * debian/control: Let libgupnp-igd-1.0-dev depends against correct gir package * debian/patches/01_fix_makefile.patch, debian/patches/02_no_libpy_link.patch: Dropped, applied upstream

    2011-05-04 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.1.10-1) unstable; urgency=low [ Andreas Henriksson ] * Imported Upstream version 0.1.10 * Drop 0001-fix_crash_invalid_address.patch, fixed upstream. * Update symbols for new upstream release. * Fix spelling error in package description (Thanks lintian). * Add GObject Introspection bindings. [ Laurent Bigonville ] * Use dh_python2 instead of pysupport * debian/control: - Bump cdbs and python-all-dev build-dependency - Drop python-support build-dependency * debian/rules: - Use python-autotools.mk instead of autotools.mk - Drop explicit dh_pysupport call - Add DEB_BUILDDIR variable - Bump Standards-Version to 3.9.2 (no further changes) - Rely on cdbs to call dh_girepository - Include autoreconf.mk * debian/patches/01_fix_makefile.patch: Fix out-of-tree build * debian/patches/02_no_libpy_link.patch: Do not link against libpython

    2011-01-18 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.1.7-3) unstable; urgency=low * debian/watch: Fix URL pattern * debian/control: - Bump Standards-Version to 3.9.1 (no further changes) - Versionize python-all-dev build-dependency * d/p/0001-fix_crash_invalid_address.patch: Fix crash if gateway returns invalid address (Closes: #610398 LP: #704172)

    2010-05-20 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.1.7-2) unstable; urgency=low * Re-disable tests as it FTBFS on buildd * debian/python-gupnp-igd.install: Also install modules in python2.6 path

    2010-05-20 - Laurent Bigonville <bigon@debian.org> gupnp-igd (0.1.7-1) unstable; urgency=low * New upstream release - Fix race in some conditions, should fix bug #568892 * Use source format '3.0 (quilt)' * debian/rules: Enable test suite on build

    Advertisement
    Advertisement